# InMAP output options

This is a list of InMAP output options that can be included in the `OutputOptions` configuration variable.

This file is automatically generated; do not edit.

* `VOC`: VOC Concentration [μg/m³]
* `SOA`: SOA Concentration [μg/m³]
* `PrimaryPM25`: PrimaryPM25 Concentration [μg/m³]
* `NH3`: NH3 Concentration [μg/m³]
* `pNH4`: pNH4 Concentration [μg/m³]
* `SOx`: SOx Concentration [μg/m³]
* `pSO4`: pSO4 Concentration [μg/m³]
* `NOx`: NOx Concentration [μg/m³]
* `pNO3`: pNO3 Concentration [μg/m³]
* `BaselineNH3`: BaselineNH3Concentration [μg/m³]
* `BaselineNOx`: BaselineNOxConcentration [μg/m³]
* `BaselinePNH4`: BaselinePNH4Concentration [μg/m³]
* `BaselinePNO3`: BaselinePNO3Concentration [μg/m³]
* `BaselinePSO4`: BaselinePSO4Concentration [μg/m³]
* `BaselineSOA`: BaselineSOAConcentration [μg/m³]
* `BaselineSOx`: BaselineSOxConcentration [μg/m³]
* `BaselineTotalPM25`: BaselineTotalPM25Concentration [μg/m³]
* `BaselineVOC`: BaselineVOCConcentration [μg/m³]
* `Asian`: AsianPopulation [people/grid cell]
* `Black`: BlackPopulation [people/grid cell]
* `Latino`: LatinoPopulation [people/grid cell]
* `Native`: NativePopulation [people/grid cell]
* `TotalPop`: TotalPopPopulation [people/grid cell]
* `WhiteNoLat`: WhiteNoLatPopulation [people/grid cell]
* `allcause`: allcauseMortalityRate [deaths/100,000]
* `asianmort`: asianmortMortalityRate [deaths/100,000]
* `blackmort`: blackmortMortalityRate [deaths/100,000]
* `latinomort`: latinomortMortalityRate [deaths/100,000]
* `nativemort`: nativemortMortalityRate [deaths/100,000]
* `whnolmort`: whnolmortMortalityRate [deaths/100,000]
* `UAvg`: Average East-West wind speed [m/s]
* `VAvg`: Average North-South wind speed [m/s]
* `WAvg`: Average up-down wind speed [m/s]
* `UDeviation`: Average deviation from East-West velocity [m/s]
* `VDeviation`: Average deviation from North-South velocity [m/s]
* `AOrgPartitioning`: Organic particle partitioning [fraction particles]
* `SPartitioning`: Sulfur particle partitioning [fraction particles]
* `NOPartitioning`: Nitrate particle partitioning [fraction particles]
* `NHPartitioning`: Ammonium particle partitioning [fraction particles]
* `SO2oxidation`: SO2 oxidation to SO4 by HO and H2O2 [1/s]
* `ParticleWetDep`: Particle wet deposition [1/s]
* `SO2WetDep`: SO2 wet deposition [1/s]
* `OtherGasWetDep`: Wet deposition: other gases [1/s]
* `ParticleDryDep`: Particle dry deposition [m/s]
* `NH3DryDep`: Ammonia dry deposition [m/s]
* `SO2DryDep`: SO2 dry deposition [m/s]
* `VOCDryDep`: VOC dry deposition [m/s]
* `NOxDryDep`: NOx dry deposition [m/s]
* `Kzz`: Grid center vertical diffusivity after applying convective fraction [m²/s]
* `Kxxyy`: Grid center horizontal diffusivity [m²/s]
* `M2u`: ACM2 upward mixing (Pleim 2007) [1/s]
* `M2d`: ACM2 downward mixing (Pleim 2007) [1/s]
* `Dx`: Cell x length [m]
* `Dy`: Cell y length [m]
* `Dz`: Cell z length [m]
* `Volume`: Cell volume [m³]
* `Layer`: Vertical layer index [-]
* `LayerHeight`: Height at layer bottom [m]
* `Temperature`: Average temperature [K]
* `WindSpeed`: RMS wind speed [m/s]
* `WindSpeedInverse`: RMS wind speed inverse [(m/s)^(-1)]
* `WindSpeedMinusThird`: RMS wind speed^(-1/3) [(m/s)^(-1/3)]
* `WindSpeedMinusOnePointFour`: RMS wind speed^(-1.4) [(m/s)^(-1.4)]
* `S1`: Stability parameter [?]
* `SClass`: Stability class [0=Unstable; 1=Stable]
