# U.S. Bureau of Economic Analysis Input-Output Accounts Data

Unless otherwise specified, data in this directory were downloaded from https://www.gov/industry/io_annual.htm on March 26, 2017.

## Contents

- __IOUse_Before_Redefinitions_PRO_1997-2015_Summary.xlsx__: Intermediate and final demand for 73 commodities x 71 industries; years 1997-2015; producers' prices
  - __Changes__:
    - In sheet "NAICS codes", changed code "531: Real estate" to codes " HS: Housing" and " ORE: Other real estate"
    - In sheet "NAICS codes", changed code "GFG: Federal general government" to codes " GFGD:	Federal general government (defense)" and "  GFGN:	Federal general government (nondefense)"
- __IOUse_Before_Redefinitions_PRO_2007_Detail.xlsx__: Intermediate and final demand for 389 commodities x 389 industries (the industries and commodities are not exactly the same); year 2007; producers' prices
  - __Changes__:
    - Deleted row 331314: Secondary smelting and alloying of aluminum
    - Deleted row S00101: Federal electric utilities
    - Deleted row S00201: State and local government passenger transit
    - Deleted row S00202: State and local government electric utilities
- __ImportMatrices_Before_Redefinitions_SUM_1997-2016.xlsx__:  Summary-level imputed import commodities by industry before redefinition data from the Industry Input-Output (I-O) accounts for the years  1997-2016 (downloaded Jan 18, 2018).
  - __Changes__:
    - In sheet "NAICS codes", changed code "531: Real estate" to codes " HS: Housing" and " ORE: Other real estate"
    - In sheet "NAICS codes", changed code "GFG: Federal general government" to codes " GFGD:	Federal general government (defense)" and "  GFGN:	Federal general government (nondefense)"
- __ImportMatrices_Before_Redefinitions_DET_2007.xlsx__: Detail-level imputed import commodities by industry before redefinition data from the Industry Input-Output (I-O) accounts for the year 2007 (downloaded Jan 18, 2018).
- __IxC_TR_1997-2015_Summary.xlsx__: Total requirements (domestic and import) for 71 industries x 73 commodities; years 1997-2015
  - __Changes__:
    - In sheet "NAICS codes", changed code "531: Real estate" to codes " HS: Housing" and " ORE: Other real estate"
    - In sheet "NAICS codes", changed code "GFG: Federal general government" to codes " GFGD:	Federal general government (defense)" and "  GFGN:	Federal general government (nondefense)"
- __IxC_TR_2007_Detail.xlsx__: Total requirements (domestic and import) for 389 industries x 389 commodities; (the industries and commodities are not exactly the same); year 2007
- __IxC_Domestic_1997-2015_Summary.xlsx__: Total domestic requirements (excluding imports) for 71 industries x 73 commodities; years 1997-2015              
  - __Changes__:
    - In sheet "NAICS codes", changed code "531: Real estate" to codes " HS: Housing" and " ORE: Other real estate"
    - In sheet "NAICS codes", changed code "GFG: Federal general government" to codes " GFGD:	Federal general government (defense)" and "  GFGN:	Federal general government (nondefense)"
- __IxC_Domestic_2007_Detail.xlsx__: Total domestic requirements (excluding imports) for 389 industries x 389 commodities; (the industries and commodities are not exactly the same); year 2007
- __SCC_codes.xlsx__: US Environmental Protection Agency (EPA) Source Classification Codes (SCC) corresponding to each of 389 industries. Lookup table was created by hand based on the 2011 EPA National Emissions Inventory (NEI).
- __aggregates.xlsx__: A cross-reference for aggregating the the detailed commodities and industries to a small number of categories relevant to air pollution
