/*
Copyright © 2017 the InMAP authors.
This file is part of InMAP.

InMAP is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

InMAP is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with InMAP.  If not, see <http://www.gnu.org/licenses/>.
*/

package inmap

import "github.com/ctessum/sparse"

var (
	h2o2    []*sparse.DenseArray
	SWDOWN  []*sparse.DenseArray
	cvbsoa3 []*sparse.DenseArray
	so4aj   []*sparse.DenseArray
	cvasoa2 []*sparse.DenseArray
	cvbsoa2 []*sparse.DenseArray
	asoa3j  []*sparse.DenseArray
	PBLH    []*sparse.DenseArray
	CLDFRA  []*sparse.DenseArray
	nh4ai   []*sparse.DenseArray
	PM25DRY []*sparse.DenseArray
	olt     []*sparse.DenseArray
	cvbsoa1 []*sparse.DenseArray
	lim     []*sparse.DenseArray
	no3ai   []*sparse.DenseArray
	bsoa2i  []*sparse.DenseArray
	asoa1i  []*sparse.DenseArray
	PH      []*sparse.DenseArray
	api     []*sparse.DenseArray
	sesq    []*sparse.DenseArray
	iso     []*sparse.DenseArray
	HFX     []*sparse.DenseArray
	PB      []*sparse.DenseArray
	ho      []*sparse.DenseArray
	nh4aj   []*sparse.DenseArray
	QCLOUD  []*sparse.DenseArray
	asoa4j  []*sparse.DenseArray
	W       []*sparse.DenseArray
	ALT     []*sparse.DenseArray
	P       []*sparse.DenseArray
	no2     []*sparse.DenseArray
	hc8     []*sparse.DenseArray
	no3aj   []*sparse.DenseArray
	cvasoa1 []*sparse.DenseArray
	UST     []*sparse.DenseArray
	tol     []*sparse.DenseArray
	bsoa3i  []*sparse.DenseArray
	LUIndex []*sparse.DenseArray
	oli     []*sparse.DenseArray
	bsoa2j  []*sparse.DenseArray
	bsoa4j  []*sparse.DenseArray
	asoa4i  []*sparse.DenseArray
	asoa2j  []*sparse.DenseArray
	hc5     []*sparse.DenseArray
	asoa2i  []*sparse.DenseArray
	no      []*sparse.DenseArray
	cvasoa3 []*sparse.DenseArray
	xyl     []*sparse.DenseArray
	asoa1j  []*sparse.DenseArray
	so2     []*sparse.DenseArray
	sulf    []*sparse.DenseArray
	asoa3i  []*sparse.DenseArray
	PHB     []*sparse.DenseArray
	U       []*sparse.DenseArray
	V       []*sparse.DenseArray
	QRAIN   []*sparse.DenseArray
	cvbsoa4 []*sparse.DenseArray
	GLW     []*sparse.DenseArray
	T       []*sparse.DenseArray
	so4ai   []*sparse.DenseArray
	nh3     []*sparse.DenseArray
	bsoa3j  []*sparse.DenseArray
	bsoa4i  []*sparse.DenseArray
	cvasoa4 []*sparse.DenseArray
	bsoa1i  []*sparse.DenseArray
	bsoa1j  []*sparse.DenseArray
	csl     []*sparse.DenseArray
)

func init() {
	cvasoa3 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	cvasoa3[0].Elements = []float64{2.8e-05, 2.8e-05, 2.9e-05, 2.9e-05, 2.9e-05, 2.9e-05, 3e-05, 3e-05, 2.9e-05, 2.9e-05, 3e-05, 3.1e-05, 3e-05, 3e-05, 3.1e-05, 3.1e-05, 3.1e-05, 3e-05, 3.2e-05, 3.1e-05, 3.2e-05, 3.1e-05, 3.2e-05, 3.2e-05, 3.1e-05, 3.2e-05, 3.1e-05, 3.2e-05, 2.9e-05, 3.1e-05, 2.9e-05, 3.1e-05, 2.5e-05, 2.9e-05, 2.5e-05, 2.8e-05, 1.8e-05, 2.5e-05, 2e-05, 2.5e-05}
	cvasoa3[1].Elements = []float64{4.2e-05, 4.5e-05, 4.3e-05, 4.5e-05, 4.3e-05, 4.5e-05, 4.3e-05, 4.5e-05, 4.3e-05, 4.5e-05, 4.4e-05, 4.5e-05, 4.3e-05, 4.5e-05, 4.4e-05, 4.5e-05, 4.3e-05, 4.5e-05, 4.4e-05, 4.5e-05, 4.4e-05, 4.5e-05, 4.5e-05, 4.5e-05, 4.4e-05, 4.5e-05, 4.6e-05, 4.5e-05, 4.5e-05, 4.7e-05, 4.6e-05, 4.7e-05, 3.1e-05, 4.2e-05, 3.5e-05, 4.4e-05, 1.6e-05, 2.8e-05, 2e-05, 3e-05}
	xyl = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	xyl[0].Elements = []float64{3.2e-05, 4.3e-05, 3.3e-05, 5.6e-05, 3.1e-05, 3.7e-05, 3.1e-05, 4.5e-05, 3.1e-05, 3.4e-05, 3.1e-05, 3.9e-05, 3e-05, 3.2e-05, 3e-05, 3.5e-05, 2.8e-05, 3e-05, 2.9e-05, 3.2e-05, 2.5e-05, 2.7e-05, 2.7e-05, 2.7e-05, 2.6e-05, 2.5e-05, 2.8e-05, 2.7e-05, 2.5e-05, 2.4e-05, 2.7e-05, 2.7e-05, 2.2e-05, 2.3e-05, 2.4e-05, 2.6e-05, 1.9e-05, 2.1e-05, 2.1e-05, 2.3e-05}
	xyl[1].Elements = []float64{5e-05, 7.9e-05, 4e-05, 8.3e-05, 4.9e-05, 7.2e-05, 3.8e-05, 7.4e-05, 4.8e-05, 6.9e-05, 3.7e-05, 7.1e-05, 4.7e-05, 6.7e-05, 3.6e-05, 6.8e-05, 4.5e-05, 6.4e-05, 3.4e-05, 6.5e-05, 4.1e-05, 5.9e-05, 3.1e-05, 6.2e-05, 3.8e-05, 4.8e-05, 2.9e-05, 6.1e-05, 2.3e-05, 2.6e-05, 2.1e-05, 3.7e-05, 1.3e-05, 1.3e-05, 1.2e-05, 1.5e-05, 1.6e-05, 1.2e-05, 1.5e-05, 1.2e-05}
	asoa1j = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	asoa1j[0].Elements = []float64{0.0025, 0.0029, 0.0028, 0.0037, 0.0025, 0.0027, 0.0027, 0.0034, 0.0025, 0.0025, 0.0027, 0.0031, 0.0026, 0.0025, 0.0027, 0.0029, 0.0027, 0.0025, 0.0028, 0.0027, 0.0029, 0.0025, 0.0028, 0.0027, 0.0029, 0.0027, 0.0027, 0.0027, 0.0029, 0.0028, 0.0028, 0.0029, 0.0027, 0.0028, 0.0029, 0.0029, 0.0024, 0.0027, 0.0027, 0.0029}
	asoa1j[1].Elements = []float64{0.02, 0.023, 0.015, 0.028, 0.02, 0.023, 0.015, 0.025, 0.02, 0.023, 0.015, 0.024, 0.02, 0.023, 0.015, 0.024, 0.026, 0.023, 0.016, 0.024, 0.024, 0.023, 0.019, 0.023, 0.023, 0.023, 0.02, 0.024, 0.021, 0.021, 0.019, 0.021, 0.013, 0.018, 0.016, 0.02, 0.0046, 0.01, 0.0072, 0.012}
	so2 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	so2[0].Elements = []float64{2.5e-05, 6e-05, 3.7e-05, 9.9e-05, 2.5e-05, 5.7e-05, 3e-05, 8.7e-05, 2.4e-05, 5.5e-05, 2.6e-05, 8.1e-05, 2.3e-05, 5.4e-05, 2.3e-05, 7.7e-05, 2.7e-06, 5.1e-05, 2e-05, 7.4e-05, 7.6e-08, 4e-05, 7.1e-07, 6.9e-05, 4.4e-10, 1e-06, 1.1e-09, 6.7e-05, 8.1e-10, 1.9e-09, 4.1e-10, 7.3e-06, 3.6e-06, 3.1e-06, 3.8e-06, 3.2e-06, 3.5e-06, 4.6e-06, 4.1e-06, 5.1e-06}
	so2[1].Elements = []float64{1.1e-06, 8.3e-06, 1.3e-05, 3.8e-05, 5.5e-07, 4.5e-06, 5.2e-06, 2.2e-05, 2.9e-07, 2.8e-06, 1.9e-06, 1.3e-05, 1.3e-07, 1.8e-06, 2.8e-07, 7e-06, 1.1e-08, 1.1e-06, 7.1e-09, 1.8e-06, 1e-09, 5.1e-07, 1.3e-08, 2.4e-08, 1.8e-09, 3.4e-08, 1.1e-08, 1.4e-08, 2.9e-09, 3.1e-09, 6.2e-09, 1.9e-09, 3.3e-09, 1.5e-09, 9.8e-08, 1.3e-09, 5.5e-07, 2.8e-08, 6.4e-07, 1.9e-07}
	sulf = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	sulf[0].Elements = []float64{1.8e-05, 2e-05, 1.9e-05, 2.1e-05, 1.8e-05, 2e-05, 1.9e-05, 2.1e-05, 1.8e-05, 2e-05, 1.9e-05, 2.1e-05, 1.8e-05, 2e-05, 1.9e-05, 2.1e-05, 1.8e-05, 2e-05, 1.9e-05, 2.1e-05, 1.8e-05, 2e-05, 1.9e-05, 2.1e-05, 1.8e-05, 2e-05, 1.9e-05, 2.2e-05, 1.8e-05, 1.8e-05, 1.8e-05, 1.8e-05, 3.8e-05, 2.6e-05, 3.5e-05, 2.5e-05, 5.3e-05, 4.1e-05, 5e-05, 4.1e-05}
	sulf[1].Elements = []float64{2.5e-05, 2.5e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.7e-05, 2.6e-05, 2.7e-05, 2.7e-05, 2.8e-05, 2.7e-05, 2.8e-05, 2.7e-05, 2.7e-05, 2.8e-05, 2.7e-05, 2.8e-05, 2.7e-05, 2.8e-05, 2.9e-05, 2.8e-05, 3.1e-05, 2.8e-05, 3.2e-05, 2.9e-05, 3.9e-05, 3.2e-05, 3.8e-05, 3.2e-05}
	asoa3i = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	asoa3i[0].Elements = []float64{0.00074, 0.00079, 0.0008, 0.00066, 0.00075, 0.00076, 0.0008, 0.00072, 0.00079, 0.00078, 0.00083, 0.00075, 0.00082, 0.00081, 0.00087, 0.0008, 0.00065, 0.00086, 0.00094, 0.00087, 0.00075, 0.00089, 0.00091, 0.00096, 0.00082, 0.00085, 0.00093, 0.0011, 0.00096, 0.00092, 0.001, 0.0011, 0.00029, 0.00066, 0.00038, 0.00077, 6.9e-05, 0.00026, 9.5e-05, 0.00027}
	asoa3i[1].Elements = []float64{0.00022, 0.00028, 0.00025, 0.00039, 0.00022, 0.00024, 0.00024, 0.00031, 0.00022, 0.00022, 0.00024, 0.00027, 0.00023, 0.00022, 0.00024, 0.00025, 0.00023, 0.00022, 0.00023, 0.00023, 0.00018, 0.00022, 0.00017, 0.00019, 0.00015, 0.00017, 0.00014, 0.00016, 0.00016, 0.00016, 0.00016, 0.00015, 0.00019, 0.00018, 0.00018, 0.00017, 0.00016, 0.0002, 0.00017, 0.0002}
	no = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	no[0].Elements = []float64{0.00013, 0.00027, 0.0001, 0.0003, 0.00013, 0.00022, 8.6e-05, 0.00023, 0.00014, 0.00022, 8.8e-05, 0.00021, 0.00016, 0.00022, 9.7e-05, 0.00021, 0.0002, 0.00022, 0.00012, 0.00021, 0.00022, 0.00025, 0.00014, 0.00025, 0.00025, 0.00028, 0.00018, 0.00035, 0.0002, 0.00021, 0.00018, 0.0003, 8.9e-05, 0.00015, 9.5e-05, 0.00017, 1.1e-05, 4.9e-05, 1.6e-05, 4.8e-05}
	no[1].Elements = []float64{1.9e-05, 0.00013, 3.6e-05, 0.00024, 1.7e-05, 6.9e-05, 2e-05, 0.00013, 1.7e-05, 4.9e-05, 1.7e-05, 8.3e-05, 1.8e-05, 4e-05, 1.8e-05, 5.7e-05, 2e-05, 3.4e-05, 1.6e-05, 3.5e-05, 1.3e-05, 2.6e-05, 1.2e-05, 1.4e-05, 1.1e-05, 1.3e-05, 9.9e-06, 1e-05, 1.2e-05, 9.4e-06, 1.2e-05, 9e-06, 1.1e-05, 1e-05, 1.2e-05, 1e-05, 6.5e-06, 1e-05, 8.4e-06, 1.1e-05}
	U = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 3),
		sparse.ZerosDense(10, 2, 3),
	}
	U[0].Elements = []float64{8.7, 8.2, 7.2, 9.7, 8.9, 8.1, 9.7, 9.5, 8.2, 11, 10, 9.1, 9.8, 9.9, 8.6, 11, 10, 9.4, 9.7, 9.8, 8.7, 11, 10, 9.3, 10, 9.5, 8.5, 12, 11, 9.2, 12, 9.9, 8.1, 13, 11, 9.6, 13, 11, 8.2, 13, 11, 9.4, 14, 12, 9.5, 13, 11, 9.4, 14, 13, 10, 14, 11, 9.7, 13, 12, 11, 13, 11, 10}
	U[1].Elements = []float64{1.8, -3.2, -0.069, 5, -0.18, 0.41, 2, -2.9, -0.32, 5.3, 0.18, 0.18, 2.1, -2.5, -0.54, 5.2, 0.48, -0.053, 2.2, -2, -0.71, 4.9, 0.75, -0.28, 1.9, -1.2, -0.73, 4.5, 1.1, -0.48, 2, -0.47, -0.34, 3.5, 1.1, -0.55, 0.91, 1.1, 0.54, 1.9, 1.5, -1.3, 1.5, 3.2, 2.5, 1.5, 2.7, 2.6, 4.9, 3.8, 3.2, 4.1, 3.9, 4, 6.5, 4.9, 4.3, 6.1, 4.9, 4.6}
	V = []*sparse.DenseArray{
		sparse.ZerosDense(10, 3, 2),
		sparse.ZerosDense(10, 3, 2),
	}
	V[0].Elements = []float64{2.4, 2, 2, 0.041, 2.4, 1.3, 2.8, 2.5, 2.5, 0.67, 2.6, 1.4, 3.1, 3, 2.8, 1.2, 2.8, 1.5, 3.5, 3.3, 3.2, 1.7, 3, 1.7, 4.3, 3.6, 4, 2.5, 3.1, 2.2, 5.2, 4.6, 4.1, 4.3, 1.6, 2.5, 2.6, 3.9, 1.3, 3.3, -0.28, 0.89, 1.9, 2, 1, 0.92, -0.54, -0.89, 2.4, 1.5, 1.4, 0.019, -0.06, -1.3, 1.7, 1.2, 1, -0.022, 0.11, -0.93}
	V[1].Elements = []float64{0.2, -0.35, -0.55, -0.32, 0.67, -0.00043, 0.034, -0.56, -0.46, -0.24, 0.71, -0.18, -0.13, -0.59, -0.33, -0.3, 0.75, -0.25, -0.38, -0.72, -0.13, -0.35, 0.83, -0.35, -0.38, -0.44, 0.15, -0.54, 1.1, -0.44, -0.65, 0.61, 0.78, -1.1, 1.8, -0.38, -1, 0.56, 1.2, -1.6, 2.2, -0.3, 2.6, 3.1, 2.9, -0.02, 2.9, 0.13, 2.9, 3.2, 3.3, 2.4, 3, 2, 1.8, 2.1, 2, 2.8, 2.3, 2.8}
	QRAIN = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	QRAIN[0].Elements = []float64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
	QRAIN[1].Elements = []float64{2e-05, 0, 1.1e-05, 0, 2.2e-05, 0, 1.3e-05, 0, 2.5e-05, 0, 1.4e-05, 0, 2.8e-05, 0, 1.6e-05, 1.9e-07, 2.9e-05, 6.1e-07, 1.8e-05, 1e-06, 3e-05, 1.4e-06, 1.9e-05, 2e-06, 2.2e-05, 1.7e-06, 2.3e-05, 2.5e-06, 2.4e-05, 8.3e-07, 2.7e-05, 1.7e-06, 0, 0, 0, 0, 0, 0, 0, 0}
	cvbsoa4 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	cvbsoa4[0].Elements = []float64{1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16}
	cvbsoa4[1].Elements = []float64{1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16}
	PHB = []*sparse.DenseArray{
		sparse.ZerosDense(11, 2, 2),
		sparse.ZerosDense(11, 2, 2),
	}
	PHB[0].Elements = []float64{6.4e+03, 2.9e+03, 5.2e+03, 2.1e+03, 7e+03, 3.5e+03, 5.7e+03, 2.6e+03, 7.8e+03, 4.2e+03, 6.5e+03, 3.4e+03, 8.8e+03, 5.3e+03, 7.5e+03, 4.5e+03, 1e+04, 6.6e+03, 8.8e+03, 5.8e+03, 1.2e+04, 8.2e+03, 1e+04, 7.4e+03, 1.4e+04, 1e+04, 1.3e+04, 9.5e+03, 1.6e+04, 1.3e+04, 1.5e+04, 1.2e+04, 2.1e+04, 1.7e+04, 1.9e+04, 1.6e+04, 2.5e+04, 2.2e+04, 2.4e+04, 2.1e+04, 3e+04, 2.7e+04, 2.9e+04, 2.6e+04}
	PHB[1].Elements = []float64{6.4e+03, 2.9e+03, 5.2e+03, 2.1e+03, 7e+03, 3.5e+03, 5.7e+03, 2.6e+03, 7.8e+03, 4.2e+03, 6.5e+03, 3.4e+03, 8.8e+03, 5.3e+03, 7.5e+03, 4.5e+03, 1e+04, 6.6e+03, 8.8e+03, 5.8e+03, 1.2e+04, 8.2e+03, 1e+04, 7.4e+03, 1.4e+04, 1e+04, 1.3e+04, 9.5e+03, 1.6e+04, 1.3e+04, 1.5e+04, 1.2e+04, 2.1e+04, 1.7e+04, 1.9e+04, 1.6e+04, 2.5e+04, 2.2e+04, 2.4e+04, 2.1e+04, 3e+04, 2.7e+04, 2.9e+04, 2.6e+04}
	T = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	T[0].Elements = []float64{-13, -13, -14, -14, -13, -13, -14, -14, -13, -13, -14, -14, -13, -13, -14, -14, -13, -13, -14, -14, -12, -13, -13, -13, -10, -12, -10, -12, -9.2, -10, -9.2, -10, -7.4, -8.6, -7.7, -9, -5.6, -7.1, -6.2, -7.7}
	T[1].Elements = []float64{-14, -15, -14, -15, -14, -15, -14, -15, -14, -15, -14, -15, -14, -15, -14, -15, -14, -15, -14, -15, -14, -15, -14, -15, -13, -15, -13, -15, -11, -13, -12, -13, -6.5, -9.5, -7.9, -10, -2.5, -5.4, -3.9, -6.1}
	GLW = []*sparse.DenseArray{
		sparse.ZerosDense(2, 2),
		sparse.ZerosDense(2, 2),
	}
	GLW[0].Elements = []float64{2.5e+02, 2.7e+02, 2.5e+02, 2.7e+02}
	GLW[1].Elements = []float64{3.4e+02, 3.3e+02, 3.4e+02, 3.5e+02}
	nh3 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	nh3[0].Elements = []float64{1e-16, 3.8e-06, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16}
	nh3[1].Elements = []float64{1e-16, 9.4e-05, 1e-16, 1e-16, 1e-16, 6e-05, 1e-16, 1e-16, 1e-16, 4.2e-05, 1e-16, 1e-16, 1e-16, 2.4e-05, 1e-16, 1e-16, 1e-16, 1.8e-07, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16}
	bsoa3j = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	bsoa3j[0].Elements = []float64{1.8e-05, 9e-06, 1.8e-05, 1.9e-05, 1.8e-05, 9e-06, 1.8e-05, 1.5e-05, 1.9e-05, 9.1e-06, 1.8e-05, 1.5e-05, 2e-05, 9.3e-06, 1.8e-05, 1.5e-05, 3.1e-05, 9.7e-06, 1.9e-05, 1.5e-05, 2.6e-05, 1.1e-05, 1.9e-05, 1.5e-05, 2.3e-05, 1.4e-05, 1.9e-05, 1.5e-05, 1.3e-05, 1e-05, 1.3e-05, 1.3e-05, 1.7e-06, 4.1e-06, 2.6e-06, 5e-06, 9e-09, 8.1e-07, 9.3e-09, 6.4e-07}
	bsoa3j[1].Elements = []float64{2.6e-07, 4.1e-07, 2.7e-07, 4.9e-07, 2.6e-07, 3.5e-07, 2.5e-07, 4e-07, 2.6e-07, 3.1e-07, 2.4e-07, 3.5e-07, 2.5e-07, 2.9e-07, 2.3e-07, 3e-07, 2.2e-07, 2.8e-07, 1.8e-07, 2.5e-07, 8.8e-08, 2.3e-07, 3.3e-08, 1.6e-07, 2.6e-08, 1.1e-07, 2.7e-08, 8.8e-08, 3.1e-08, 3.3e-08, 2.3e-08, 3.7e-08, 3.8e-08, 3.3e-08, 2.7e-08, 3.2e-08, 2.3e-08, 3.1e-08, 1.6e-08, 2.8e-08}
	bsoa4i = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	bsoa4i[0].Elements = []float64{1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1.1e-16, 1e-16, 1.1e-16, 1e-16}
	bsoa4i[1].Elements = []float64{1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1.1e-16, 1e-16, 1.1e-16, 1e-16}
	so4ai = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	so4ai[0].Elements = []float64{0.42, 0.19, 0.6, 0.18, 0.42, 0.19, 0.6, 0.22, 0.42, 0.19, 0.6, 0.23, 0.42, 0.19, 0.61, 0.24, 0.35, 0.2, 0.63, 0.24, 0.41, 0.23, 0.62, 0.24, 0.43, 0.34, 0.59, 0.22, 0.5, 0.46, 0.59, 0.5, 0.22, 0.4, 0.26, 0.43, 0.0083, 0.18, 0.019, 0.16}
	so4ai[1].Elements = []float64{0.051, 0.065, 0.042, 0.042, 0.052, 0.066, 0.043, 0.043, 0.052, 0.068, 0.043, 0.043, 0.051, 0.07, 0.042, 0.045, 0.049, 0.072, 0.036, 0.045, 0.025, 0.069, 0.015, 0.037, 0.01, 0.034, 0.009, 0.02, 0.0099, 0.014, 0.0087, 0.01, 0.013, 0.011, 0.01, 0.01, 0.013, 0.013, 0.011, 0.011}
	bsoa1i = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	bsoa1i[0].Elements = []float64{1.9e-05, 2.9e-05, 1.5e-05, 2.4e-05, 1.9e-05, 2.6e-05, 1.4e-05, 2.1e-05, 1.9e-05, 2.5e-05, 1.4e-05, 1.9e-05, 1.9e-05, 2.5e-05, 1.3e-05, 1.8e-05, 1.7e-05, 2.6e-05, 1e-05, 1.7e-05, 5.8e-06, 2.4e-05, 2.1e-06, 1.1e-05, 1.6e-06, 9.8e-06, 1.1e-06, 3.7e-06, 2e-06, 2e-06, 1.3e-06, 1.1e-06, 3e-06, 1.3e-06, 1.6e-06, 1.2e-06, 2e-06, 1.7e-06, 1.1e-06, 1.6e-06}
	bsoa1i[1].Elements = []float64{0.0004, 0.00016, 0.00072, 0.00025, 0.00041, 0.00016, 0.00072, 0.00029, 0.00041, 0.00016, 0.00073, 0.0003, 0.00042, 0.00017, 0.00074, 0.00032, 0.00032, 0.00018, 0.00075, 0.00033, 0.00037, 0.00021, 0.00064, 0.00034, 0.00039, 0.00027, 0.0006, 0.00034, 0.00042, 0.00039, 0.00055, 0.0005, 9.5e-05, 0.00026, 0.00015, 0.00031, 8.7e-08, 8e-05, 8.4e-07, 7e-05}
	bsoa1j = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	bsoa1j[0].Elements = []float64{4.5e-06, 7.8e-06, 4e-06, 7.9e-06, 4.5e-06, 7e-06, 3.7e-06, 6.7e-06, 4.5e-06, 6.2e-06, 3.6e-06, 5.9e-06, 4.5e-06, 5.8e-06, 3.6e-06, 5e-06, 4.1e-06, 5.6e-06, 3e-06, 4.3e-06, 2.2e-06, 5e-06, 1e-06, 3.2e-06, 6.3e-07, 2.4e-06, 5.3e-07, 1.9e-06, 7.2e-07, 9.8e-07, 4.9e-07, 8.5e-07, 8.7e-07, 8.1e-07, 5.3e-07, 6.6e-07, 5.2e-07, 6.9e-07, 3e-07, 5.8e-07}
	bsoa1j[1].Elements = []float64{0.0002, 0.00014, 0.00021, 0.00028, 0.00021, 0.00014, 0.00021, 0.00023, 0.00021, 0.00014, 0.00021, 0.00022, 0.00022, 0.00014, 0.00021, 0.00022, 0.00036, 0.00015, 0.00021, 0.00022, 0.00031, 0.00016, 0.00025, 0.00021, 0.00029, 0.0002, 0.00026, 0.00022, 0.00018, 0.00017, 0.0002, 0.00021, 4.7e-05, 9e-05, 5.9e-05, 0.00011, 4.4e-08, 2.6e-05, 5.8e-06, 2.5e-05}
	csl = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	csl[0].Elements = []float64{4.5e-06, 4.1e-06, 5.7e-06, 4.8e-06, 4.6e-06, 4.2e-06, 5.9e-06, 5e-06, 4.7e-06, 4.3e-06, 6e-06, 5.1e-06, 4.9e-06, 4.3e-06, 6.2e-06, 5.2e-06, 5.2e-06, 4.4e-06, 7.1e-06, 5.4e-06, 7e-06, 4.7e-06, 9.9e-06, 6.8e-06, 9.5e-06, 6.5e-06, 1.2e-05, 9e-06, 9.6e-06, 8.2e-06, 1.2e-05, 1.1e-05, 1e-05, 8.7e-06, 1.2e-05, 1.1e-05, 1.4e-05, 9.9e-06, 1.4e-05, 1.2e-05}
	csl[1].Elements = []float64{3.6e-07, 4e-07, 3.8e-07, 3.8e-07, 3.8e-07, 4.1e-07, 3.9e-07, 3.8e-07, 3.8e-07, 4.1e-07, 3.9e-07, 3.8e-07, 3.9e-07, 4.1e-07, 4e-07, 3.8e-07, 4.1e-07, 4.2e-07, 4.2e-07, 3.9e-07, 4.4e-07, 4.4e-07, 4.4e-07, 4e-07, 4.5e-07, 4.7e-07, 4.5e-07, 4.2e-07, 4.6e-07, 4.5e-07, 4.5e-07, 4.5e-07, 4.5e-06, 4.6e-07, 2.1e-06, 4.5e-07, 1.6e-05, 7.3e-06, 1.4e-05, 6.3e-06}
	cvasoa4 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	cvasoa4[0].Elements = []float64{3.3e-05, 3.4e-05, 3.5e-05, 3.5e-05, 3.4e-05, 3.4e-05, 3.6e-05, 3.6e-05, 3.5e-05, 3.5e-05, 3.6e-05, 3.6e-05, 3.5e-05, 3.5e-05, 3.6e-05, 3.6e-05, 3.6e-05, 3.5e-05, 3.7e-05, 3.7e-05, 3.6e-05, 3.5e-05, 3.6e-05, 3.7e-05, 3.6e-05, 3.6e-05, 3.5e-05, 3.6e-05, 3.4e-05, 3.5e-05, 3.3e-05, 3.5e-05, 2.9e-05, 3.3e-05, 3e-05, 3.3e-05, 2.2e-05, 2.9e-05, 2.4e-05, 2.9e-05}
	cvasoa4[1].Elements = []float64{4.9e-05, 5.6e-05, 4.7e-05, 5.5e-05, 5e-05, 5.6e-05, 4.7e-05, 5.5e-05, 5e-05, 5.6e-05, 4.8e-05, 5.5e-05, 5e-05, 5.6e-05, 4.8e-05, 5.5e-05, 5e-05, 5.6e-05, 4.8e-05, 5.5e-05, 4.9e-05, 5.5e-05, 4.8e-05, 5.5e-05, 4.9e-05, 5.3e-05, 4.7e-05, 5.5e-05, 4.4e-05, 4.7e-05, 4.5e-05, 5.1e-05, 3e-05, 3.8e-05, 3.4e-05, 4.1e-05, 2e-05, 2.7e-05, 2.2e-05, 2.9e-05}
	SWDOWN = []*sparse.DenseArray{
		sparse.ZerosDense(2, 2),
		sparse.ZerosDense(2, 2),
	}
	SWDOWN[0].Elements = []float64{1.5e+02, 1.4e+02, 1.5e+02, 1.4e+02}
	SWDOWN[1].Elements = []float64{20, 84, 38, 31}
	cvbsoa3 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	cvbsoa3[0].Elements = []float64{9.1e-07, 3.2e-07, 1.3e-06, 5.6e-07, 9.3e-07, 3.3e-07, 1.4e-06, 5.6e-07, 9.5e-07, 3.3e-07, 1.4e-06, 5.6e-07, 9.6e-07, 3.4e-07, 1.4e-06, 5.7e-07, 1e-06, 3.5e-07, 1.3e-06, 5.7e-07, 9.8e-07, 4.1e-07, 1.1e-06, 5.7e-07, 9.6e-07, 5.3e-07, 1e-06, 5.5e-07, 7e-07, 5.5e-07, 7.8e-07, 6.4e-07, 1.5e-07, 3e-07, 2.2e-07, 3.3e-07, 7.4e-10, 8.5e-08, 7.8e-10, 7e-08}
	cvbsoa3[1].Elements = []float64{8.9e-08, 1e-07, 7.7e-08, 8.4e-08, 9.1e-08, 1e-07, 7.7e-08, 8.5e-08, 9e-08, 1e-07, 7.6e-08, 8.5e-08, 8.8e-08, 1e-07, 7.2e-08, 8.4e-08, 7.7e-08, 1e-07, 5.6e-08, 7.9e-08, 2.5e-08, 8.9e-08, 1e-08, 4.8e-08, 8e-09, 4e-08, 6.5e-09, 2e-08, 9.5e-09, 9.8e-09, 7e-09, 7.4e-09, 1e-08, 7e-09, 6.5e-09, 6.6e-09, 5.4e-09, 6.5e-09, 3.6e-09, 6.1e-09}
	so4aj = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	so4aj[0].Elements = []float64{0.89, 0.71, 0.86, 0.78, 0.9, 0.71, 0.86, 0.75, 0.91, 0.71, 0.87, 0.74, 0.92, 0.72, 0.87, 0.73, 1.1, 0.72, 0.89, 0.73, 1, 0.74, 0.96, 0.73, 0.99, 0.81, 0.97, 0.72, 0.92, 0.85, 0.93, 0.82, 0.73, 0.82, 0.77, 0.82, 0.51, 0.66, 0.55, 0.66}
	so4aj[1].Elements = []float64{0.28, 0.29, 0.29, 0.29, 0.28, 0.29, 0.29, 0.29, 0.29, 0.29, 0.29, 0.29, 0.29, 0.29, 0.29, 0.29, 0.29, 0.29, 0.3, 0.29, 0.31, 0.3, 0.3, 0.3, 0.3, 0.3, 0.31, 0.31, 0.31, 0.31, 0.32, 0.31, 0.35, 0.32, 0.36, 0.33, 0.4, 0.35, 0.39, 0.35}
	cvasoa2 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	cvasoa2[0].Elements = []float64{2.4e-05, 2.5e-05, 2.5e-05, 2.6e-05, 2.5e-05, 2.5e-05, 2.6e-05, 2.6e-05, 2.5e-05, 2.6e-05, 2.6e-05, 2.7e-05, 2.6e-05, 2.6e-05, 2.7e-05, 2.7e-05, 2.7e-05, 2.6e-05, 2.7e-05, 2.7e-05, 2.7e-05, 2.7e-05, 2.7e-05, 2.8e-05, 2.6e-05, 2.7e-05, 2.5e-05, 2.7e-05, 2.4e-05, 2.6e-05, 2.4e-05, 2.6e-05, 2e-05, 2.4e-05, 2.1e-05, 2.4e-05, 1.5e-05, 2e-05, 1.6e-05, 2e-05}
	cvasoa2[1].Elements = []float64{4.7e-05, 5.1e-05, 4.6e-05, 4.9e-05, 4.7e-05, 5.2e-05, 4.7e-05, 5e-05, 4.7e-05, 5.2e-05, 4.7e-05, 5e-05, 4.7e-05, 5.2e-05, 4.7e-05, 5e-05, 4.7e-05, 5.2e-05, 4.7e-05, 5e-05, 4.8e-05, 5.1e-05, 4.9e-05, 4.9e-05, 4.8e-05, 5e-05, 4.9e-05, 4.9e-05, 4.8e-05, 5.2e-05, 5e-05, 5.2e-05, 3.1e-05, 4.4e-05, 3.5e-05, 4.7e-05, 1.3e-05, 2.7e-05, 1.7e-05, 2.9e-05}
	h2o2 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	h2o2[0].Elements = []float64{0.00014, 0.00014, 0.00015, 0.00015, 0.00015, 0.00015, 0.00015, 0.00015, 0.00015, 0.00015, 0.00016, 0.00015, 0.00015, 0.00015, 0.00016, 0.00016, 0.00016, 0.00015, 0.00017, 0.00016, 0.00019, 0.00017, 0.00019, 0.00018, 0.0002, 0.00019, 0.00019, 0.00019, 0.00019, 0.00019, 0.00018, 0.00019, 0.00018, 0.00019, 0.00018, 0.00018, 0.00017, 0.00018, 0.00017, 0.00018}
	h2o2[1].Elements = []float64{1.5e-05, 3.2e-05, 1e-05, 3.3e-05, 1.5e-05, 3.2e-05, 1e-05, 3.3e-05, 1.5e-05, 3.2e-05, 1e-05, 3.3e-05, 1.5e-05, 3.2e-05, 1e-05, 3.3e-05, 1.7e-06, 3.1e-05, 1.1e-05, 3.3e-05, 6.6e-08, 2.5e-05, 4.9e-07, 3.3e-05, 4.2e-07, 5.4e-07, 1.3e-06, 3.6e-05, 1.5e-05, 3.9e-06, 1.7e-06, 8.4e-07, 0.00014, 6.7e-05, 0.00012, 5.8e-05, 0.00021, 0.00015, 0.0002, 0.00015}
	asoa3j = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	asoa3j[0].Elements = []float64{0.0011, 0.0014, 0.00082, 0.0016, 0.0011, 0.0014, 0.00083, 0.0015, 0.0011, 0.0014, 0.00083, 0.0015, 0.0011, 0.0014, 0.00084, 0.0014, 0.0014, 0.0014, 0.00086, 0.0014, 0.0012, 0.0014, 0.00096, 0.0015, 0.0012, 0.0013, 0.00099, 0.0015, 0.00094, 0.00096, 0.00087, 0.0011, 0.00054, 0.00069, 0.0006, 0.0008, 0.00025, 0.00041, 0.00032, 0.00046}
	asoa3j[1].Elements = []float64{0.00012, 0.00014, 0.00014, 0.00019, 0.00012, 0.00013, 0.00013, 0.00017, 0.00012, 0.00013, 0.00013, 0.00016, 0.00013, 0.00012, 0.00014, 0.00014, 0.00013, 0.00012, 0.00014, 0.00014, 0.00013, 0.00012, 0.00013, 0.00013, 0.00013, 0.00013, 0.00012, 0.00013, 0.00014, 0.00013, 0.00014, 0.00013, 0.00014, 0.00013, 0.00015, 0.00014, 0.00015, 0.00014, 0.00016, 0.00015}
	cvbsoa2 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	cvbsoa2[0].Elements = []float64{1.4e-06, 5e-07, 2.1e-06, 8.6e-07, 1.4e-06, 5.1e-07, 2.1e-06, 8.7e-07, 1.4e-06, 5.1e-07, 2.1e-06, 8.7e-07, 1.5e-06, 5.2e-07, 2.1e-06, 8.8e-07, 1.5e-06, 5.5e-07, 2.1e-06, 8.8e-07, 1.5e-06, 6.2e-07, 1.8e-06, 8.7e-07, 1.5e-06, 8.2e-07, 1.6e-06, 8.4e-07, 1.1e-06, 8.9e-07, 1.2e-06, 1e-06, 2.5e-07, 5e-07, 3.6e-07, 5.6e-07, 1.4e-09, 1.5e-07, 2.5e-09, 1.3e-07}
	cvbsoa2[1].Elements = []float64{1.4e-07, 1.7e-07, 1.2e-07, 1.3e-07, 1.5e-07, 1.7e-07, 1.2e-07, 1.4e-07, 1.5e-07, 1.7e-07, 1.2e-07, 1.4e-07, 1.4e-07, 1.7e-07, 1.2e-07, 1.3e-07, 1.2e-07, 1.7e-07, 9e-08, 1.3e-07, 4.2e-08, 1.5e-07, 1.7e-08, 8e-08, 1.3e-08, 6.7e-08, 1.1e-08, 3.4e-08, 1.6e-08, 1.7e-08, 1.2e-08, 1.2e-08, 1.7e-08, 1.1e-08, 1.1e-08, 1.1e-08, 9e-09, 1.1e-08, 5.9e-09, 1e-08}
	CLDFRA = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	CLDFRA[0].Elements = []float64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
	CLDFRA[1].Elements = []float64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.38, 0, 0, 0, 1, 0, 1, 0, 1, 0.75, 1, 0, 1, 0.46, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0}
	nh4ai = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	nh4ai[0].Elements = []float64{0.014, 0.024, 0.0067, 0.013, 0.013, 0.02, 0.0064, 0.0097, 0.013, 0.018, 0.0061, 0.0083, 0.012, 0.017, 0.0057, 0.0075, 0.009, 0.016, 0.0039, 0.0067, 0.0013, 0.012, 0.00047, 0.0036, 0.00013, 0.0022, 7.5e-05, 0.00084, 9.2e-05, 0.00012, 9.3e-05, 0.00016, 8.1e-05, 6.4e-05, 0.0001, 0.00011, 3.7e-05, 5.4e-05, 5.3e-05, 9.3e-05}
	nh4ai[1].Elements = []float64{0.068, 0.071, 0.056, 0.062, 0.067, 0.071, 0.054, 0.07, 0.065, 0.072, 0.053, 0.071, 0.063, 0.073, 0.052, 0.071, 0.046, 0.075, 0.05, 0.071, 0.049, 0.074, 0.044, 0.07, 0.048, 0.069, 0.042, 0.067, 0.034, 0.045, 0.033, 0.065, 0.0054, 0.017, 0.0069, 0.023, 7.6e-05, 0.0026, 0.00014, 0.0028}
	PM25DRY = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	PM25DRY[0].Elements = []float64{0.91, 1.1, 0.94, 1.2, 0.9, 1, 0.92, 1.1, 0.89, 1, 0.9, 0.99, 0.88, 0.96, 0.88, 0.94, 0.84, 0.93, 0.85, 0.89, 0.73, 0.88, 0.75, 0.82, 0.66, 0.75, 0.68, 0.75, 0.6, 0.65, 0.64, 0.68, 0.56, 0.59, 0.6, 0.62, 0.56, 0.56, 0.57, 0.59}
	PM25DRY[1].Elements = []float64{2.8, 2.9, 2.8, 3, 2.8, 2.8, 2.8, 2.9, 2.7, 2.7, 2.8, 2.8, 2.7, 2.7, 2.7, 2.7, 2.8, 2.6, 2.7, 2.7, 2.7, 2.6, 2.7, 2.6, 2.5, 2.5, 2.6, 2.6, 2.3, 2.3, 2.4, 2.5, 1.3, 1.8, 1.5, 2, 0.66, 1.1, 0.75, 1.1}
	olt = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	olt[0].Elements = []float64{5.2e-05, 9.4e-05, 6.1e-05, 0.00014, 4.6e-05, 6.7e-05, 4.6e-05, 9.4e-05, 4.2e-05, 5.4e-05, 3.9e-05, 7e-05, 3.8e-05, 4.7e-05, 3.2e-05, 5.4e-05, 2.9e-05, 4.1e-05, 2.1e-05, 3.8e-05, 6.8e-06, 2.7e-05, 5.9e-06, 1.6e-05, 4.4e-06, 1.1e-05, 4.2e-06, 7.4e-06, 4.3e-06, 4e-06, 5.4e-06, 4.8e-06, 3.8e-06, 3.4e-06, 5e-06, 4.8e-06, 2.8e-06, 3.4e-06, 3.6e-06, 4.6e-06}
	olt[1].Elements = []float64{0.00012, 0.00018, 0.00011, 0.00022, 0.00011, 0.00016, 9.6e-05, 0.00019, 0.00011, 0.00016, 8.9e-05, 0.00018, 0.0001, 0.00015, 8.2e-05, 0.00017, 9.7e-05, 0.00014, 7.3e-05, 0.00016, 8.2e-05, 0.00012, 5.8e-05, 0.00015, 7.3e-05, 9.4e-05, 5.2e-05, 0.00014, 3.8e-05, 4.5e-05, 3.3e-05, 7.3e-05, 6.7e-06, 1.4e-05, 7.9e-06, 2e-05, 7.2e-07, 1.7e-06, 1.1e-06, 2e-06}
	cvbsoa1 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	cvbsoa1[0].Elements = []float64{1.2e-07, 5.1e-08, 2.1e-07, 8.6e-08, 1.2e-07, 5.2e-08, 2.1e-07, 8.9e-08, 1.2e-07, 5.2e-08, 2.1e-07, 8.9e-08, 1.2e-07, 5.3e-08, 2e-07, 8.9e-08, 1.2e-07, 5.4e-08, 2e-07, 8.8e-08, 1.2e-07, 6e-08, 1.8e-07, 8.6e-08, 1.3e-07, 8.1e-08, 1.7e-07, 7.9e-08, 1.2e-07, 1.1e-07, 1.5e-07, 1.2e-07, 4.5e-08, 8.9e-08, 6.4e-08, 9.7e-08, 5.4e-11, 3.7e-08, 2.6e-09, 3.2e-08}
	cvbsoa1[1].Elements = []float64{1.6e-08, 2.1e-08, 1.2e-08, 1.4e-08, 1.7e-08, 2.2e-08, 1.2e-08, 1.5e-08, 1.7e-08, 2.2e-08, 1.2e-08, 1.5e-08, 1.6e-08, 2.2e-08, 1.1e-08, 1.5e-08, 1.5e-08, 2.3e-08, 9.6e-09, 1.5e-08, 6.8e-09, 2.2e-08, 2.8e-09, 1.1e-08, 2e-09, 1.1e-08, 1.6e-09, 5.2e-09, 2.2e-09, 2.7e-09, 1.5e-09, 1.8e-09, 2.4e-09, 1.6e-09, 1.3e-09, 1.4e-09, 1.2e-09, 1.4e-09, 7.1e-10, 1.2e-09}
	lim = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	lim[0].Elements = []float64{9.6e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.7e-17, 9.7e-17, 9.6e-17, 9.6e-17, 9.7e-17, 9.7e-17, 9.6e-17, 9.7e-17, 9.7e-17, 9.7e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.7e-17, 9.5e-17, 9.5e-17, 9.5e-17, 9.5e-17, 9.7e-17, 9.6e-17, 9.6e-17, 9.6e-17}
	lim[1].Elements = []float64{9.6e-17, 9.5e-17, 9.6e-17, 9.5e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.6e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.7e-17, 9.7e-17, 9.7e-17, 9.7e-17, 9.7e-17, 9.7e-17, 9.7e-17, 9.7e-17, 9.7e-17, 9.7e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.7e-17, 9.6e-17, 9.7e-17}
	no3ai = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	no3ai[0].Elements = []float64{0.00035, 0.0013, 0.00018, 1e-16, 0.00053, 0.0013, 0.00028, 1e-16, 0.00095, 0.0013, 0.00045, 1e-16, 0.0022, 0.0014, 0.001, 0.0015, 0.0042, 2.1e-05, 0.0046, 0.0019, 0.0054, 0.0081, 0.0069, 0.0037, 0.0063, 0.0078, 0.0075, 0.014, 0.0076, 0.0071, 0.0087, 0.0089, 1e-16, 0.00017, 1.6e-05, 0.0005, 1.1e-16, 1e-16, 1.1e-16, 1e-16}
	no3ai[1].Elements = []float64{2.7e-05, 1.6e-06, 4.2e-06, 1e-16, 3.5e-05, 1e-16, 5.9e-06, 1e-16, 4.9e-05, 1e-16, 9.3e-06, 1e-16, 7e-05, 1e-16, 1.7e-05, 3.9e-06, 6.1e-05, 2e-05, 1.7e-05, 6.5e-06, 4.2e-06, 1.6e-05, 4.9e-07, 3.3e-06, 1.2e-07, 1.1e-06, 5.6e-08, 2.7e-07, 1.6e-07, 1.5e-07, 7.1e-08, 8.5e-08, 3.2e-07, 2.1e-07, 1.8e-07, 1.5e-07, 1.1e-16, 3.9e-07, 1.1e-16, 3.4e-07}
	PBLH = []*sparse.DenseArray{
		sparse.ZerosDense(2, 2),
		sparse.ZerosDense(2, 2),
	}
	PBLH[0].Elements = []float64{4.9e+02, 7e+02, 5.3e+02, 9.6e+02}
	PBLH[1].Elements = []float64{5e+02, 6.8e+02, 4.7e+02, 5.4e+02}
	asoa1i = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	asoa1i[0].Elements = []float64{0.019, 0.016, 0.024, 0.014, 0.02, 0.016, 0.024, 0.016, 0.02, 0.016, 0.025, 0.016, 0.02, 0.017, 0.025, 0.017, 0.015, 0.017, 0.027, 0.018, 0.019, 0.018, 0.027, 0.019, 0.02, 0.019, 0.027, 0.019, 0.033, 0.032, 0.035, 0.031, 0.013, 0.03, 0.016, 0.032, 0.00093, 0.012, 0.0021, 0.012}
	asoa1i[1].Elements = []float64{0.0052, 0.0064, 0.0055, 0.0079, 0.0052, 0.0057, 0.0054, 0.0066, 0.0053, 0.0055, 0.0055, 0.0061, 0.0055, 0.0055, 0.0056, 0.0058, 0.0055, 0.0056, 0.0054, 0.0056, 0.0048, 0.0056, 0.0042, 0.0049, 0.0037, 0.0046, 0.0033, 0.0042, 0.0039, 0.0041, 0.0036, 0.0037, 0.0042, 0.0043, 0.0039, 0.004, 0.0034, 0.0045, 0.0035, 0.0042}
	bsoa2i = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	bsoa2i[0].Elements = []float64{1.7e-05, 2.4e-05, 1.5e-05, 2.4e-05, 1.7e-05, 2e-05, 1.4e-05, 1.9e-05, 1.6e-05, 1.9e-05, 1.4e-05, 1.7e-05, 1.6e-05, 1.9e-05, 1.3e-05, 1.6e-05, 1.4e-05, 1.9e-05, 9.7e-06, 1.4e-05, 3.5e-06, 1.6e-05, 1.4e-06, 7.2e-06, 1e-06, 5.8e-06, 7e-07, 2.2e-06, 1.4e-06, 1.3e-06, 1e-06, 7.6e-07, 2.1e-06, 9.5e-07, 1.3e-06, 9.5e-07, 1.5e-06, 1.3e-06, 9.3e-07, 1.3e-06}
	bsoa2i[1].Elements = []float64{0.00045, 0.00015, 0.00068, 0.00024, 0.00045, 0.00015, 0.00068, 0.00027, 0.00047, 0.00016, 0.00069, 0.00029, 0.00048, 0.00016, 0.00071, 0.0003, 0.00038, 0.00018, 0.00072, 0.00032, 0.00042, 0.00021, 0.00058, 0.00034, 0.00044, 0.00026, 0.00053, 0.00036, 0.00036, 0.00027, 0.0004, 0.00038, 5.3e-05, 0.00013, 7.8e-05, 0.00016, 1.6e-07, 3e-05, 3.2e-07, 2.6e-05}
	api = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	api[0].Elements = []float64{9.8e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.9e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.8e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.9e-17, 9.8e-17, 9.9e-17, 9.8e-17}
	api[1].Elements = []float64{9.9e-17, 9.8e-17, 9.8e-17, 9.8e-17, 9.9e-17, 9.8e-17, 9.9e-17, 9.8e-17, 9.9e-17, 9.8e-17, 9.9e-17, 9.8e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.8e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17, 9.9e-17}
	sesq = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	sesq[0].Elements = []float64{9.1e-17, 9.2e-17, 9.1e-17, 9.1e-17, 9.1e-17, 9.1e-17, 9.1e-17, 9.1e-17, 9.2e-17, 9.1e-17, 9.1e-17, 9.1e-17, 9.2e-17, 9.2e-17, 9.1e-17, 9.1e-17, 9.2e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.1e-17, 9.2e-17, 8.9e-17, 9e-17, 9e-17, 9e-17, 9.2e-17, 9e-17, 9.1e-17, 9e-17}
	sesq[1].Elements = []float64{9.1e-17, 9e-17, 9.1e-17, 9e-17, 9.2e-17, 9e-17, 9.1e-17, 9e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.1e-17, 9.2e-17, 9.1e-17, 9.1e-17, 9.1e-17, 9.1e-17}
	iso = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	iso[0].Elements = []float64{9.1e-05, 2.9e-05, 0.0001, 3.9e-05, 8.6e-05, 2.6e-05, 9.7e-05, 3.6e-05, 8.4e-05, 2.5e-05, 9.5e-05, 3.5e-05, 8.3e-05, 2.4e-05, 9.2e-05, 3.4e-05, 8.3e-05, 2.3e-05, 8.5e-05, 3.3e-05, 7e-05, 2.4e-05, 6e-05, 3.2e-05, 6e-05, 2.5e-05, 4.9e-05, 2.9e-05, 2.8e-05, 1.6e-05, 2.5e-05, 2e-05, 3.2e-06, 4.7e-06, 4.2e-06, 5.6e-06, 1.9e-09, 2.3e-07, 1.9e-09, 1.7e-07}
	iso[1].Elements = []float64{3.3e-05, 3.7e-05, 3.4e-05, 3.3e-05, 2.8e-05, 2.9e-05, 2.8e-05, 2.6e-05, 2.5e-05, 2.5e-05, 2.4e-05, 2.2e-05, 2.2e-05, 2.2e-05, 2.1e-05, 2e-05, 1.6e-05, 1.9e-05, 1.2e-05, 1.6e-05, 2.2e-06, 1.2e-05, 1.1e-06, 6.4e-06, 8e-07, 3.4e-06, 7.6e-07, 1.6e-06, 9.1e-07, 9.4e-07, 8.3e-07, 8.3e-07, 1.1e-06, 5.6e-07, 8.1e-07, 6.9e-07, 6.6e-07, 5.9e-07, 4.9e-07, 6e-07}
	PH = []*sparse.DenseArray{
		sparse.ZerosDense(11, 2, 2),
		sparse.ZerosDense(11, 2, 2),
	}
	PH[0].Elements = []float64{0, 0, 0, 0, -6, -4.8, -5.2, -3.8, -15, -12, -14, -10, -29, -24, -26, -19, -47, -40, -43, -33, -74, -63, -67, -53, -1.1e+02, -97, -1e+02, -84, -1.5e+02, -1.4e+02, -1.4e+02, -1.3e+02, -2.3e+02, -2.2e+02, -2.2e+02, -2.1e+02, -2.8e+02, -2.9e+02, -2.8e+02, -2.8e+02, -3e+02, -3.3e+02, -3.2e+02, -3.3e+02}
	PH[1].Elements = []float64{0, 0, 0, 0, -4.5, -1.1, -5.1, -2.3, -12, -3.5, -14, -6.6, -23, -8, -26, -14, -39, -15, -44, -24, -62, -28, -69, -41, -94, -49, -1e+02, -66, -1.3e+02, -77, -1.3e+02, -94, -1.9e+02, -1.3e+02, -1.8e+02, -1.5e+02, -2.6e+02, -1.9e+02, -2.5e+02, -2.1e+02, -3.3e+02, -2.7e+02, -3.3e+02, -2.9e+02}
	PB = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	PB[0].Elements = []float64{9.2e+04, 9.6e+04, 9.4e+04, 9.7e+04, 9.1e+04, 9.5e+04, 9.3e+04, 9.6e+04, 9e+04, 9.4e+04, 9.2e+04, 9.5e+04, 8.9e+04, 9.3e+04, 9.1e+04, 9.4e+04, 8.8e+04, 9.1e+04, 8.9e+04, 9.2e+04, 8.6e+04, 8.9e+04, 8.7e+04, 9e+04, 8.3e+04, 8.7e+04, 8.5e+04, 8.8e+04, 8e+04, 8.3e+04, 8.1e+04, 8.4e+04, 7.5e+04, 7.9e+04, 7.7e+04, 7.9e+04, 7.1e+04, 7.4e+04, 7.2e+04, 7.5e+04}
	PB[1].Elements = []float64{9.2e+04, 9.6e+04, 9.4e+04, 9.7e+04, 9.1e+04, 9.5e+04, 9.3e+04, 9.6e+04, 9e+04, 9.4e+04, 9.2e+04, 9.5e+04, 8.9e+04, 9.3e+04, 9.1e+04, 9.4e+04, 8.8e+04, 9.1e+04, 8.9e+04, 9.2e+04, 8.6e+04, 8.9e+04, 8.7e+04, 9e+04, 8.3e+04, 8.7e+04, 8.5e+04, 8.8e+04, 8e+04, 8.3e+04, 8.1e+04, 8.4e+04, 7.5e+04, 7.9e+04, 7.7e+04, 7.9e+04, 7.1e+04, 7.4e+04, 7.2e+04, 7.5e+04}
	ho = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	ho[0].Elements = []float64{9.2e-09, 1.9e-08, 1.3e-08, 1.7e-08, 8.9e-09, 1.8e-08, 1e-08, 1.8e-08, 9.3e-09, 1.6e-08, 9.6e-09, 1.7e-08, 1e-08, 1.5e-08, 1e-08, 1.6e-08, 1.2e-08, 1.5e-08, 1.1e-08, 1.4e-08, 1.1e-08, 1.4e-08, 1.1e-08, 9.9e-09, 1.1e-08, 1.1e-08, 9.8e-09, 8.8e-09, 1.2e-08, 9.3e-09, 1.1e-08, 8.5e-09, 1.3e-08, 1e-08, 1.2e-08, 9.5e-09, 1.1e-08, 1.1e-08, 1.1e-08, 1e-08}
	ho[1].Elements = []float64{6.2e-09, 5.7e-09, 8.3e-09, 5.6e-09, 6.1e-09, 5.3e-09, 7.6e-09, 5.2e-09, 6.3e-09, 5e-09, 7.5e-09, 5e-09, 7e-09, 4.8e-09, 7.8e-09, 4.8e-09, 7.9e-09, 4.6e-09, 8.8e-09, 4.7e-09, 9.7e-09, 5.1e-09, 1e-08, 5e-09, 1.1e-08, 7.2e-09, 1.2e-08, 5.8e-09, 2e-08, 1.6e-08, 1.9e-08, 1.1e-08, 3.7e-08, 3.6e-08, 3.6e-08, 2.7e-08, 1.3e-08, 3e-08, 1.6e-08, 2.8e-08}
	nh4aj = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	nh4aj[0].Elements = []float64{0.074, 0.11, 0.046, 0.089, 0.073, 0.088, 0.043, 0.066, 0.071, 0.078, 0.042, 0.056, 0.067, 0.072, 0.04, 0.049, 0.054, 0.066, 0.033, 0.044, 0.015, 0.05, 0.0098, 0.029, 0.0037, 0.02, 0.0026, 0.013, 0.0029, 0.0026, 0.0035, 0.0048, 0.0022, 0.0018, 0.0036, 0.0035, 0.0011, 0.0015, 0.0018, 0.003}
	nh4aj[1].Elements = []float64{0.14, 0.27, 0.08, 0.26, 0.14, 0.27, 0.077, 0.24, 0.14, 0.27, 0.076, 0.23, 0.14, 0.27, 0.074, 0.22, 0.15, 0.27, 0.071, 0.21, 0.12, 0.24, 0.069, 0.21, 0.11, 0.17, 0.068, 0.22, 0.063, 0.083, 0.053, 0.11, 0.018, 0.034, 0.02, 0.043, 0.0047, 0.0095, 0.004, 0.011}
	HFX = []*sparse.DenseArray{
		sparse.ZerosDense(2, 2),
		sparse.ZerosDense(2, 2),
	}
	HFX[0].Elements = []float64{42, 28, 30, 26}
	HFX[1].Elements = []float64{16, 27, 25, 14}
	asoa4j = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	asoa4j[0].Elements = []float64{0.00013, 0.00018, 9.8e-05, 0.00021, 0.00013, 0.00018, 9.9e-05, 0.00019, 0.00013, 0.00018, 9.9e-05, 0.00018, 0.00013, 0.00018, 0.0001, 0.00018, 0.00016, 0.00018, 0.0001, 0.00018, 0.00014, 0.00018, 0.00011, 0.00018, 0.00014, 0.00016, 0.00011, 0.0002, 0.0001, 0.00011, 9.7e-05, 0.00014, 5.9e-05, 7.4e-05, 6.3e-05, 8.6e-05, 3.2e-05, 4.6e-05, 3.7e-05, 4.9e-05}
	asoa4j[1].Elements = []float64{1.5e-05, 1.8e-05, 1.7e-05, 2.4e-05, 1.5e-05, 1.6e-05, 1.6e-05, 2.1e-05, 1.5e-05, 1.5e-05, 1.6e-05, 1.9e-05, 1.5e-05, 1.5e-05, 1.7e-05, 1.8e-05, 1.5e-05, 1.5e-05, 1.7e-05, 1.6e-05, 1.6e-05, 1.5e-05, 1.5e-05, 1.6e-05, 1.6e-05, 1.5e-05, 1.5e-05, 1.5e-05, 1.6e-05, 1.5e-05, 1.6e-05, 1.6e-05, 1.7e-05, 1.6e-05, 1.9e-05, 1.7e-05, 2e-05, 1.7e-05, 2.1e-05, 1.9e-05}
	QCLOUD = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	QCLOUD[0].Elements = []float64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
	QCLOUD[1].Elements = []float64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3e-05, 0, 0, 0, 0.0005, 0, 0.00018, 0, 0.0005, 2.9e-05, 0.00033, 0, 8.2e-05, 1.8e-05, 8.5e-05, 0.00035, 0, 0, 2.8e-14, 0, 0, 0, 0, 0}
	ALT = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	ALT[0].Elements = []float64{0.87, 0.85, 0.86, 0.84, 0.88, 0.85, 0.87, 0.84, 0.88, 0.86, 0.87, 0.85, 0.89, 0.87, 0.88, 0.86, 0.91, 0.88, 0.89, 0.87, 0.92, 0.89, 0.91, 0.89, 0.94, 0.91, 0.93, 0.91, 0.98, 0.95, 0.97, 0.94, 1, 0.99, 1, 0.98, 1.1, 1, 1.1, 1}
	ALT[1].Elements = []float64{0.87, 0.85, 0.86, 0.84, 0.88, 0.85, 0.87, 0.84, 0.88, 0.86, 0.87, 0.85, 0.89, 0.87, 0.88, 0.86, 0.91, 0.88, 0.89, 0.87, 0.92, 0.89, 0.91, 0.89, 0.94, 0.91, 0.93, 0.91, 0.98, 0.95, 0.97, 0.94, 1, 0.99, 1, 0.98, 1.1, 1, 1.1, 1}
	P = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	P[0].Elements = []float64{1e+03, 1.1e+03, 1.1e+03, 1.1e+03, 1e+03, 1.1e+03, 1e+03, 1.1e+03, 9.9e+02, 1.1e+03, 1e+03, 1.1e+03, 9.7e+02, 1.1e+03, 1e+03, 1.1e+03, 9.4e+02, 1e+03, 9.8e+02, 1.1e+03, 9.1e+02, 9.9e+02, 9.4e+02, 1e+03, 8.8e+02, 9.5e+02, 9.1e+02, 9.9e+02, 8.3e+02, 9e+02, 8.6e+02, 9.4e+02, 7.7e+02, 8.3e+02, 8e+02, 8.7e+02, 7.2e+02, 7.7e+02, 7.4e+02, 8.1e+02}
	P[1].Elements = []float64{1.5e+03, 1.6e+03, 1.5e+03, 1.6e+03, 1.4e+03, 1.6e+03, 1.5e+03, 1.6e+03, 1.4e+03, 1.6e+03, 1.5e+03, 1.6e+03, 1.4e+03, 1.5e+03, 1.4e+03, 1.6e+03, 1.4e+03, 1.5e+03, 1.4e+03, 1.5e+03, 1.3e+03, 1.4e+03, 1.4e+03, 1.5e+03, 1.3e+03, 1.4e+03, 1.3e+03, 1.4e+03, 1.2e+03, 1.3e+03, 1.2e+03, 1.3e+03, 1.1e+03, 1.2e+03, 1.1e+03, 1.2e+03, 1e+03, 1.1e+03, 1.1e+03, 1.2e+03}
	no2 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	no2[0].Elements = []float64{0.00028, 0.0011, 0.00037, 0.0019, 0.00025, 0.00067, 0.00026, 0.0012, 0.00023, 0.00048, 0.00022, 0.0008, 0.00021, 0.00038, 0.00019, 0.00053, 0.00017, 0.0003, 0.00012, 0.0003, 7.6e-05, 0.0002, 6.4e-05, 0.00011, 5.1e-05, 9.2e-05, 5.1e-05, 7.3e-05, 5.4e-05, 5.8e-05, 5.7e-05, 5.9e-05, 4.6e-05, 5.6e-05, 5.3e-05, 5.9e-05, 2.5e-05, 4.9e-05, 3.4e-05, 5.3e-05}
	no2[1].Elements = []float64{0.0025, 0.0042, 0.002, 0.0049, 0.0024, 0.0039, 0.0018, 0.0043, 0.0023, 0.0037, 0.0017, 0.0041, 0.0022, 0.0036, 0.0016, 0.0039, 0.0021, 0.0034, 0.0015, 0.0037, 0.0017, 0.003, 0.0013, 0.0034, 0.0015, 0.0023, 0.0012, 0.0032, 0.00091, 0.0011, 0.00086, 0.0017, 0.00027, 0.00047, 0.00029, 0.00064, 3.2e-05, 0.00016, 4.8e-05, 0.00017}
	hc8 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	hc8[0].Elements = []float64{0.00029, 0.00082, 0.00056, 0.0013, 0.00026, 0.00053, 0.00035, 0.00085, 0.00024, 0.0004, 0.00025, 0.00061, 0.00021, 0.00032, 0.00019, 0.00044, 0.00016, 0.00026, 0.00012, 0.00028, 4.1e-05, 0.00017, 4.5e-05, 0.00011, 2.6e-05, 6.5e-05, 2.9e-05, 4.9e-05, 2.7e-05, 2.8e-05, 4.1e-05, 3.5e-05, 1.9e-05, 2.5e-05, 3.9e-05, 3.8e-05, 7.2e-06, 2.2e-05, 2.2e-05, 3.6e-05}
	hc8[1].Elements = []float64{0.0015, 0.0025, 0.0015, 0.0029, 0.0014, 0.0023, 0.0012, 0.0026, 0.0014, 0.0022, 0.0011, 0.0024, 0.0013, 0.0021, 0.001, 0.0023, 0.0012, 0.002, 0.00091, 0.0022, 0.0011, 0.0017, 0.00076, 0.002, 0.00095, 0.0014, 0.0007, 0.0019, 0.00053, 0.00068, 0.00049, 0.0011, 0.00011, 0.00024, 0.00013, 0.00036, 1.6e-06, 4e-05, 8.4e-06, 4.4e-05}
	W = []*sparse.DenseArray{
		sparse.ZerosDense(11, 2, 2),
		sparse.ZerosDense(11, 2, 2),
	}
	W[0].Elements = []float64{-0.17, -0.2, -0.22, -0.15, -0.23, -0.25, -0.29, -0.18, -0.25, -0.26, -0.31, -0.2, -0.26, -0.25, -0.31, -0.2, -0.26, -0.23, -0.32, -0.19, -0.27, -0.21, -0.3, -0.17, -0.24, -0.18, -0.25, -0.12, -0.19, -0.11, -0.16, -0.031, -0.11, 0.033, -0.022, 0.1, -0.022, 0.17, 0.11, 0.22, 0.073, 0.29, 0.24, 0.3}
	W[1].Elements = []float64{0.042, 0.053, -0.044, 0.0034, 0.042, 0.038, -0.053, -0.0055, 0.072, 0.019, -0.034, -0.007, 0.11, -0.0026, -0.0057, -0.0028, 0.14, -0.026, 0.027, 0.0076, 0.17, -0.044, 0.063, 0.024, 0.17, -0.046, 0.094, 0.048, 0.11, -0.049, 0.086, 0.044, 0.0057, -0.0045, 0.029, 0.019, -0.015, 0.029, -0.0032, 0.0056, 0.012, 0.017, -0.0054, -0.0016}
	cvasoa1 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	cvasoa1[0].Elements = []float64{6.3e-06, 6.2e-06, 6.3e-06, 5.9e-06, 6.6e-06, 6.6e-06, 6.5e-06, 6.3e-06, 6.7e-06, 6.8e-06, 6.7e-06, 6.6e-06, 6.8e-06, 6.9e-06, 6.8e-06, 6.8e-06, 7.1e-06, 6.9e-06, 7.1e-06, 7e-06, 7.8e-06, 7.3e-06, 7.4e-06, 7.5e-06, 7.4e-06, 7.8e-06, 6.9e-06, 7.6e-06, 6.6e-06, 7.5e-06, 6.2e-06, 7e-06, 5.2e-06, 6.5e-06, 5.1e-06, 6.1e-06, 3.3e-06, 5.2e-06, 3.7e-06, 5e-06}
	cvasoa1[1].Elements = []float64{9.1e-06, 8e-06, 1e-05, 8e-06, 9.2e-06, 8.1e-06, 1.1e-05, 8.2e-06, 9.2e-06, 8.1e-06, 1.1e-05, 8.2e-06, 9.1e-06, 8.1e-06, 1e-05, 8.2e-06, 9e-06, 8e-06, 1.1e-05, 8.1e-06, 9.5e-06, 8.1e-06, 1.1e-05, 7.9e-06, 9.7e-06, 8.8e-06, 1.1e-05, 7.4e-06, 1.3e-05, 1.3e-05, 1.3e-05, 1.1e-05, 1e-05, 1.5e-05, 1.1e-05, 1.4e-05, 2.7e-06, 9.5e-06, 4.4e-06, 9.8e-06}
	no3aj = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	no3aj[0].Elements = []float64{0.00073, 0.0051, 0.00026, 1e-16, 0.0011, 0.0047, 0.0004, 1e-16, 0.002, 0.0049, 0.00065, 1e-16, 0.0048, 0.005, 0.0015, 0.0045, 0.014, 7.6e-05, 0.0065, 0.0056, 0.014, 0.026, 0.011, 0.011, 0.014, 0.019, 0.012, 0.047, 0.014, 0.013, 0.014, 0.015, 1e-16, 0.00035, 4.7e-05, 0.00095, 1.1e-16, 1e-16, 1.1e-16, 1e-16}
	no3aj[1].Elements = []float64{0.00014, 7.2e-06, 2.9e-05, 1e-16, 0.00019, 1e-16, 4e-05, 1e-16, 0.00027, 1e-16, 6.3e-05, 1e-16, 0.0004, 1e-16, 0.00012, 2.5e-05, 0.00037, 8.2e-05, 0.00014, 4.3e-05, 5.1e-05, 6.9e-05, 1e-05, 2.7e-05, 3.6e-06, 9.8e-06, 1.9e-06, 4.1e-06, 5e-06, 3.5e-06, 2.6e-06, 2.6e-06, 8.5e-06, 6.1e-06, 6.2e-06, 4.8e-06, 1.1e-16, 1.1e-05, 1.1e-16, 1.1e-05}
	tol = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	tol[0].Elements = []float64{0.00014, 0.00016, 0.00015, 0.00018, 0.00014, 0.00015, 0.00015, 0.00017, 0.00014, 0.00015, 0.00015, 0.00016, 0.00014, 0.00014, 0.00015, 0.00015, 0.00014, 0.00014, 0.00014, 0.00015, 0.00013, 0.00014, 0.00014, 0.00014, 0.00013, 0.00013, 0.00014, 0.00014, 0.00013, 0.00013, 0.00013, 0.00013, 0.00011, 0.00012, 0.00011, 0.00012, 8.5e-05, 0.00011, 9.3e-05, 0.00011}
	tol[1].Elements = []float64{0.0002, 0.00025, 0.00019, 0.00025, 0.0002, 0.00024, 0.00018, 0.00024, 0.0002, 0.00023, 0.00018, 0.00023, 0.00019, 0.00023, 0.00018, 0.00023, 0.00019, 0.00022, 0.00017, 0.00022, 0.00018, 0.00021, 0.00017, 0.00022, 0.00018, 0.0002, 0.00016, 0.00022, 0.00015, 0.00016, 0.00015, 0.00018, 8.8e-05, 0.00011, 9.7e-05, 0.00012, 7e-05, 8e-05, 7.4e-05, 8.4e-05}
	bsoa3i = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	bsoa3i[0].Elements = []float64{1e-06, 1.5e-06, 9.4e-07, 1.5e-06, 1e-06, 1.2e-06, 8.9e-07, 1.2e-06, 1e-06, 1.2e-06, 8.7e-07, 1.1e-06, 9.9e-07, 1.2e-06, 8.3e-07, 9.9e-07, 8.4e-07, 1.1e-06, 6e-07, 8.8e-07, 2.1e-07, 9.6e-07, 8.2e-08, 4.3e-07, 6e-08, 3.4e-07, 4.1e-08, 1.3e-07, 8.5e-08, 7.5e-08, 6.3e-08, 4.5e-08, 1.3e-07, 5.8e-08, 7.6e-08, 5.8e-08, 9.1e-08, 7.8e-08, 5.7e-08, 7.7e-08}
	bsoa3i[1].Elements = []float64{2.9e-05, 9.8e-06, 4.3e-05, 1.6e-05, 3e-05, 9.7e-06, 4.3e-05, 1.8e-05, 3.1e-05, 1e-05, 4.4e-05, 1.8e-05, 3.2e-05, 1.1e-05, 4.5e-05, 1.9e-05, 2.5e-05, 1.2e-05, 4.6e-05, 2.1e-05, 2.7e-05, 1.4e-05, 3.7e-05, 2.2e-05, 2.9e-05, 1.7e-05, 3.4e-05, 2.3e-05, 2.3e-05, 1.7e-05, 2.5e-05, 2.4e-05, 3.1e-06, 7.7e-06, 4.6e-06, 9.4e-06, 8.9e-09, 1.6e-06, 1e-08, 1.4e-06}
	UST = []*sparse.DenseArray{
		sparse.ZerosDense(2, 2),
		sparse.ZerosDense(2, 2),
	}
	UST[0].Elements = []float64{0.71, 0.45, 0.55, 0.48}
	UST[1].Elements = []float64{0.14, 0.14, 0.18, 0.1}
	oli = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	oli[0].Elements = []float64{1.6e-05, 3.6e-05, 2.8e-05, 4.7e-05, 1.3e-05, 2.2e-05, 1.8e-05, 2.9e-05, 1e-05, 1.5e-05, 1.3e-05, 2e-05, 8.5e-06, 1.2e-05, 9.2e-06, 1.4e-05, 5.4e-06, 8.8e-06, 4e-06, 8.8e-06, 4.8e-07, 4.6e-06, 2.1e-07, 2.3e-06, 1.5e-07, 9.1e-07, 7.9e-08, 4.4e-07, 1.5e-07, 1.5e-07, 2.4e-07, 1.1e-07, 1.5e-07, 5.3e-08, 2.3e-07, 1.4e-07, 7.9e-08, 6.9e-08, 1.3e-07, 1.3e-07}
	oli[1].Elements = []float64{2.4e-05, 3.3e-05, 3.3e-05, 3.6e-05, 1.9e-05, 2.4e-05, 2.4e-05, 2.7e-05, 1.7e-05, 2e-05, 2e-05, 2.3e-05, 1.5e-05, 1.7e-05, 1.6e-05, 2e-05, 1.3e-05, 1.4e-05, 1.2e-05, 1.8e-05, 8.5e-06, 9.5e-06, 6.9e-06, 1.5e-05, 6.5e-06, 5.4e-06, 5.2e-06, 1.1e-05, 2.5e-06, 2.1e-06, 2.3e-06, 4.3e-06, 2e-07, 3.6e-07, 3.3e-07, 6.7e-07, 1.9e-10, 2e-10, 1.5e-10, 3.9e-10}
	bsoa2j = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	bsoa2j[0].Elements = []float64{4.2e-06, 6.5e-06, 4.3e-06, 7.8e-06, 4.2e-06, 5.7e-06, 3.9e-06, 6.4e-06, 4.2e-06, 5e-06, 3.8e-06, 5.6e-06, 4.1e-06, 4.7e-06, 3.7e-06, 4.7e-06, 3.6e-06, 4.5e-06, 2.9e-06, 4e-06, 1.5e-06, 3.8e-06, 5.5e-07, 2.6e-06, 4.4e-07, 1.8e-06, 4.4e-07, 1.4e-06, 5.2e-07, 5.5e-07, 3.9e-07, 6.1e-07, 6.4e-07, 5.5e-07, 4.3e-07, 5.3e-07, 3.9e-07, 5.1e-07, 2.5e-07, 4.6e-07}
	bsoa2j[1].Elements = []float64{0.00027, 0.00014, 0.00027, 0.00029, 0.00028, 0.00014, 0.00027, 0.00024, 0.00029, 0.00014, 0.00027, 0.00023, 0.0003, 0.00014, 0.00028, 0.00023, 0.00047, 0.00015, 0.00028, 0.00022, 0.00039, 0.00017, 0.00029, 0.00023, 0.00035, 0.00021, 0.00029, 0.00023, 0.0002, 0.00016, 0.0002, 0.0002, 2.8e-05, 6.6e-05, 4.2e-05, 8.1e-05, 1.8e-07, 1.4e-05, 3.2e-07, 1.1e-05}
	bsoa4j = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	bsoa4j[0].Elements = []float64{1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1.1e-16, 1e-16, 1.1e-16, 1e-16}
	bsoa4j[1].Elements = []float64{1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1e-16, 1.1e-16, 1e-16, 1.1e-16, 1e-16}
	asoa4i = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	asoa4i[0].Elements = []float64{7.9e-05, 9.3e-05, 7.9e-05, 7.6e-05, 8.1e-05, 8.9e-05, 7.9e-05, 8.2e-05, 8.4e-05, 9e-05, 8.2e-05, 8.5e-05, 8.8e-05, 9.5e-05, 8.6e-05, 9.1e-05, 7e-05, 0.0001, 9.2e-05, 9.9e-05, 7.8e-05, 0.0001, 8.6e-05, 0.00011, 8.5e-05, 9.3e-05, 8.8e-05, 0.00013, 8.4e-05, 8.2e-05, 8.8e-05, 0.00011, 2.2e-05, 5e-05, 2.9e-05, 6e-05, 8.1e-06, 2e-05, 9.9e-06, 2.1e-05}
	asoa4i[1].Elements = []float64{2.5e-05, 3.3e-05, 2.9e-05, 4.6e-05, 2.5e-05, 2.7e-05, 2.8e-05, 3.6e-05, 2.6e-05, 2.6e-05, 2.8e-05, 3.1e-05, 2.6e-05, 2.5e-05, 2.8e-05, 2.9e-05, 2.6e-05, 2.6e-05, 2.6e-05, 2.7e-05, 2e-05, 2.5e-05, 1.9e-05, 2.1e-05, 1.6e-05, 1.9e-05, 1.6e-05, 1.8e-05, 1.8e-05, 1.7e-05, 1.8e-05, 1.7e-05, 2.1e-05, 2e-05, 2e-05, 2e-05, 1.9e-05, 2.3e-05, 2e-05, 2.3e-05}
	asoa2j = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	asoa2j[0].Elements = []float64{0.011, 0.015, 0.0079, 0.018, 0.011, 0.015, 0.008, 0.016, 0.011, 0.015, 0.008, 0.015, 0.011, 0.015, 0.0081, 0.015, 0.014, 0.015, 0.0083, 0.015, 0.013, 0.015, 0.0095, 0.015, 0.012, 0.014, 0.0098, 0.016, 0.0093, 0.0097, 0.0085, 0.012, 0.0049, 0.0066, 0.0055, 0.0077, 0.0021, 0.0037, 0.0027, 0.0041}
	asoa2j[1].Elements = []float64{0.001, 0.0012, 0.0012, 0.0017, 0.001, 0.0011, 0.0011, 0.0015, 0.001, 0.0011, 0.0011, 0.0013, 0.0011, 0.001, 0.0012, 0.0012, 0.0011, 0.001, 0.0012, 0.0012, 0.0011, 0.001, 0.0011, 0.0011, 0.0011, 0.001, 0.001, 0.0011, 0.0011, 0.0011, 0.0011, 0.0011, 0.0011, 0.0011, 0.0013, 0.0012, 0.0012, 0.0012, 0.0013, 0.0013}
	hc5 = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	hc5[0].Elements = []float64{0.0013, 0.0019, 0.0017, 0.0024, 0.0013, 0.0016, 0.0015, 0.002, 0.0013, 0.0015, 0.0014, 0.0017, 0.0013, 0.0014, 0.0013, 0.0015, 0.0012, 0.0013, 0.0012, 0.0014, 0.0011, 0.0012, 0.0011, 0.0012, 0.001, 0.0011, 0.0011, 0.0011, 0.001, 0.001, 0.001, 0.0011, 0.00086, 0.00096, 0.00092, 0.001, 0.00069, 0.00085, 0.00076, 0.0009}
	hc5[1].Elements = []float64{0.0027, 0.0039, 0.0027, 0.0042, 0.0026, 0.0036, 0.0024, 0.0039, 0.0026, 0.0035, 0.0023, 0.0037, 0.0025, 0.0034, 0.0022, 0.0036, 0.0024, 0.0033, 0.0021, 0.0035, 0.0022, 0.003, 0.0019, 0.0033, 0.0021, 0.0026, 0.0018, 0.0032, 0.0016, 0.0018, 0.0016, 0.0023, 0.00082, 0.0011, 0.00091, 0.0013, 0.00057, 0.00071, 0.00062, 0.00075}
	LUIndex = []*sparse.DenseArray{
		sparse.ZerosDense(2, 2),
		sparse.ZerosDense(2, 2),
	}
	LUIndex[0].Elements = []float64{10, 8, 8, 8}
	LUIndex[1].Elements = []float64{10, 8, 8, 8}
	asoa2i = []*sparse.DenseArray{
		sparse.ZerosDense(10, 2, 2),
		sparse.ZerosDense(10, 2, 2),
	}
	asoa2i[0].Elements = []float64{0.009, 0.01, 0.0094, 0.0079, 0.0092, 0.0099, 0.0095, 0.0088, 0.0095, 0.01, 0.0098, 0.0091, 0.0098, 0.01, 0.01, 0.0097, 0.0077, 0.011, 0.011, 0.01, 0.0088, 0.011, 0.011, 0.011, 0.0097, 0.011, 0.011, 0.013, 0.011, 0.011, 0.012, 0.013, 0.0033, 0.0079, 0.0043, 0.0092, 0.0005, 0.0029, 0.00082, 0.003}
	asoa2i[1].Elements = []float64{0.0019, 0.0025, 0.0021, 0.0034, 0.0019, 0.0021, 0.0021, 0.0027, 0.002, 0.002, 0.0021, 0.0024, 0.002, 0.002, 0.0021, 0.0022, 0.002, 0.002, 0.002, 0.0021, 0.0016, 0.0019, 0.0015, 0.0017, 0.0013, 0.0015, 0.0012, 0.0014, 0.0014, 0.0014, 0.0013, 0.0013, 0.0016, 0.0015, 0.0015, 0.0015, 0.0013, 0.0017, 0.0014, 0.0017}
}
